Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 586196 - RFE: add python 3 support to PyQt4
RFE: add python 3 support to PyQt4
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: PyQt4 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On: 545124
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 23:47 EDT by Dave Malcolm
Modified: 2010-04-27 17:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-27 17:08:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Work-in-progress patch to devel/PyQt4.spec to add python3 subpackages (5.51 KB, patch)
2010-04-26 23:48 EDT, Dave Malcolm
no flags Details | Diff
Revised version of patch (5.78 KB, patch)
2010-04-27 11:45 EDT, Dave Malcolm
no flags Details | Diff

  None (edit)
Description Dave Malcolm 2010-04-26 23:47:06 EDT
I've been experimenting with adding python3 subpackages to the build of PyQt4.

I'm attaching a patch to devel/PyQt4.spec which adds python3-PyQt4 and python3-PyQt4-devel subpackages.

It uses the python3-sip subpackage from bug 545124, building the sources twice within one rpm-build.  Unfortunately this doubles the time taken to build the src.rpm

Unfortunately my laptop is having lockup issues and I haven't managed to do a full build of this yet, so I haven't been able to fully test this (alternatively, if you build sip with python3 into devel in Koji I can do scratch buld of this).
Comment 1 Dave Malcolm 2010-04-26 23:48:54 EDT
Created attachment 409348 [details]
Work-in-progress patch to devel/PyQt4.spec to add python3 subpackages
Comment 2 Dave Malcolm 2010-04-27 11:45:50 EDT
Created attachment 409509 [details]
Revised version of patch

I managed to get this one to successfully scratch build in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2141192

I haven't yet tested the results
Comment 3 Dave Malcolm 2010-04-27 15:11:46 EDT
I did some simple testing of the scratch build: I worked through some of the examples at:
http://zetcode.com/tutorials/pyqt4/firstprograms/

All of the examples I tried worked, with both Python 2 and Python 3 (using my scratch build of PyQt4).
 
OK if I go ahead and commit and build this into "devel"?
Comment 4 Rex Dieter 2010-04-27 16:16:58 EDT
cool, yeah, go ahead.  thanks!
Comment 5 Dave Malcolm 2010-04-27 17:08:26 EDT
Thanks!

Committed as:
  http://cvs.fedoraproject.org/viewvc/rpms/PyQt4/devel/PyQt4.spec?r1=1.48&r2=1.49&pathrev=PyQt4-4_7_3-2_fc14

(I slightly modified things to keep the reference to the package review at the very top of the file, and added this bug number to the %changelog entry)

Built into devel as:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=2141960

Note You need to log in before you can comment on or make changes to this bug.